Subject: Re: cygwin-b20 gcc: "A - floor(A)" returns a negative value
From: [email-masked] (Mumit Khan)

10 Nov 1998 06:58:12 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Peter Kabal <[email-masked]>
Cc: [email-masked]

On Sun, 8 Nov 1998, Peter Kabal wrote:

> Switching from cygwin-b19 to cygwin-b20 caused a C-routine to give
> incorrect results.  This was traced to a calculation (in double) of
> "A - float(A)" which returns a negative value.  By definition it should
> always be positive.  A short test program which demonstrates this
> problem is included.  If the program is further simplified, the problem
> goes away.  To exercise the bug, the program must be compiled with
> optimization level -O3.

Thanks for the report and the testcast! 

I've reported this bug to egcs-bugs list. fyi, this is a regression from 
1.0.x releases and affects all x86 ports, not just cygwin/mingw.

Regards,
Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".